/*
 * Copyright © Scalapay S.R.L. All rights reserved.
 * See COPYING.txt for license details.
 */

define([
    'uiComponent',
    'Magento_Checkout/js/model/payment/renderer-list'
], function (Component, rendererList) {
    'use strict';

    rendererList.push(
            {
                 type: 'scalapay',
                 component: 'Scalapay_Scalapay/js/view/payment/method-renderer/scalapay'
            },
            {
                type: 'payin4',
                component: 'Scalapay_Scalapay/js/view/payment/method-renderer/payin4-method'
            },
            {
                type: 'paylater',
                component: 'Scalapay_Scalapay/js/view/payment/method-renderer/paylater-method'
            });

    return Component.extend({});
});
